org.apache.ignite.internal.pagemem.wal.record

## Class CdcManagerRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.CdcManagerRecord

    public class CdcManagerRecord
    extends WALRecord

This record notifies `CdcMain` about committed WAL state. It's assumed that WAL state will be inferred from `CdcConsumer` committed WALPointer.

See Also:
  `CdcConsumer.onEvents(Iterator)`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`CdcManagerRecord(T2<WALPointer,Integer> state)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WALRecord.RecordType` `type()`
`T2<WALPointer,Integer>` `walState()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CdcManagerRecord

    public CdcManagerRecord(T2<WALPointer,Integer> state)

### Method Detail

#### walState

    public T2<WALPointer,Integer> walState()

Returns:
  CDC consumer WAL state.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023